### Struct

# GLib TestSuite

#### Description

    struct GTestSuite {
      /* No available fields */
    }

An opaque structure representing a test suite.

#### Instance methods

###### g_test_suite_add

Adds `test_case` to `suite`.

since: 2.16

###### g_test_suite_add_suite

Adds `nestedsuite` to `suite`.

since: 2.16

###### g_test_suite_free

Free the `suite` and all nested `GTestSuites`.

since: 2.70